headless lms

Read how you are told about notifications outside any community

GET /api/member/settings/notifications. Read how you are told about notifications outside any community. Headless LMS Notifications API reference.

GET
/api/member/settings/notifications

For anyone signed in to the organization. The organization's categories that can apply to you, such as access and course content, each with the channels it offers, whether each is on for you, and default, what it would be without your own setting.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/settings/notifications"
{  "categories": [    {      "key": "string",      "perSpace": true,      "channels": [        {          "channel": "string",          "enabled": true,          "default": true,          "source": "locked",          "locked": true        }      ],      "spaces": [        {          "spaceId": "string",          "name": "string",          "channels": [            {              "channel": "string",              "enabled": true,              "default": true,              "source": "locked",              "locked": true            }          ]        }      ]    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}